Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.formula
Class Area2DPtgBase

    java.lang.Object
      org.apache.poi.hssf.record.formula.Ptg
          org.apache.poi.hssf.record.formula.OperandPtg
              org.apache.poi.hssf.record.formula.AreaPtgBase
                  org.apache.poi.hssf.record.formula.Area2DPtgBase

All Implemented Interfaces:
  java.lang.Cloneable, AreaI

Direct Known Subclasses:
  AreaNPtg, AreaPtg

    public abstract class Area2DPtgBase

extends AreaPtgBase

Common superclass of 2-D area refs

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.hssf.record.formula.AreaI
`AreaI.OffsetArea`

Field Summary

Fields inherited from class org.apache.poi.hssf.record.formula.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`protected` | `Area2DPtgBase(AreaReference ar)`
`protected` | `Area2DPtgBase(int firstRow, int lastRow, int firstColumn, int lastColumn, boolean firstRowRelative, boolean lastRowRelative, boolean firstColRelative, boolean lastColRelative)`
`protected` | `Area2DPtgBase(LittleEndianInput in)`

Method Summary
`protected abstract byte` | `getSid()`
`int` | `getSize()`
`java.lang.String` | `toFormulaString()` return a string representation of this token alone
`java.lang.String` | `toString()` Overridden toString method to ensure object hash is not printed.
`void` | `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.hssf.record.formula.AreaPtgBase
`formatReferenceAsString, getDefaultOperandClass, getFirstColumn, getFirstColumnRaw, getFirstRow, getLastColumn, getLastColumnRaw, getLastRow, isFirstColRelative, isFirstRowRelative, isLastColRelative, isLastRowRelative, notImplemented, readCoordinates, setFirstColRelative, setFirstColumn, setFirstColumnRaw, setFirstRow, setFirstRowRelative, setLastColRelative, setLastColumn, setLastColumnRaw, setLastRow, setLastRowRelative, writeCoordinates`

Methods inherited from class org.apache.poi.hssf.record.formula.OperandPtg
`copy, isBaseToken`

Methods inherited from class org.apache.poi.hssf.record.formula.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Area2DPtgBase

    protected Area2DPtgBase(int firstRow,
                            int lastRow,
                            int firstColumn,
                            int lastColumn,
                            boolean firstRowRelative,
                            boolean lastRowRelative,
                            boolean firstColRelative,
                            boolean lastColRelative)

### Area2DPtgBase

    protected Area2DPtgBase(AreaReference ar)

### Area2DPtgBase

    protected Area2DPtgBase(LittleEndianInput in)

Method Detail

### getSid

    protected abstract byte getSid()

### write

    public final void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public final int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public final java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Overrides:
    `toFormulaString` in class `AreaPtgBase`

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.